Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1422947

Summary: NFStest version 2.1.5 includes server-side copy tests
Product: [Fedora] Fedora Reporter: Steve Dickson <steved>
Component: NFStestAssignee: Steve Dickson <steved>
Status: CLOSED ERRATA QA Contact: JianHong Yin <jiyin>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: eguan, jiyin, mora, steved
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: NFStest-2.1.5-1.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1420069 Environment:
Last Closed: 2017-05-02 23:14:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1401561, 1420069, 1424940    
Bug Blocks:    

Comment 1 Fedora Update System 2017-02-16 17:03:45 UTC
NFStest-2.1.5-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-60e0f093fe

Comment 2 Fedora Update System 2017-02-17 22:53:09 UTC
NFStest-2.1.5-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-60e0f093fe

Comment 3 JianHong Yin 2017-03-01 07:34:56 UTC
Verified: on Fedora-Rawhide-20170228.n.0

'''
[root@hp-xw8600-01 ~]# lsb_release -sir
Fedora 26
[root@hp-xw8600-01 ~]# rpm -q nfstest
package nfstest is not installed
[root@hp-xw8600-01 ~]# rpm -q NFStest
NFStest-2.1.5-0.fc26.noarch
[root@hp-xw8600-01 ~]# rpm -ql NFStest|grep _ssc
/usr/bin/nfstest_ssc
/usr/share/man/man1/nfstest_ssc.1.gz
[root@hp-xw8600-01 ~]# nfstest_ssc -s bkr-hv03-guest32.dsal.lab.eng.bos.redhat.com --export /home/test

*** Verify intra server side COPY succeeds
    TEST: Running test 'intra01'
    PASS: COPY(copy_file_range) should succeed when source file is opened for reading
    PASS: COPY(copy_file_range) should return correct number of bytes actually copied
    PASS: Source offset pointer should be correct after copy_file_range
    PASS: Source file descriptor offset position should be correct after copy_file_range
    PASS: Destination offset pointer should be correct after copy_file_range
    PASS: Destination file descriptor offset position should be correct after copy_file_range
    PASS: Destination file should have the correct size
    PASS: Destination file data written by COPY should be correct
    PASS: Destination file data not written by COPY should not be modified
    PASS: COPY should be sent to server
    PASS: COPY should be sent with correct source file handle
    PASS: COPY should be sent with correct destination file handle
    PASS: COPY should be sent with correct source stateid
    PASS: COPY should be sent with correct destination stateid
    PASS: COPY should be sent with correct source offset
    PASS: COPY should be sent with correct destination offset
    PASS: COPY should be sent with correct number of bytes to copy
    PASS: COPY should succeed
    PASS: COPY should return synchronous=1 when no callback id is returned
    PASS: COPY should return correct number of bytes actually copied
    PASS: COPY should return at most the number of bytes requested
    PASS: COMMIT should be sent to server when COPY returns UNSTABLE4
    PASS: COMMIT should return the same verifier as the COPY
    PASS: WRITEs should be sent to server before the COPY
    PASS: READs should not be sent to server after the COPY
'''

Comment 4 JianHong Yin 2017-03-01 07:36:51 UTC
why use different package name between Fedora and RHEL-?
  RHEL-X.y: nfstest-$version
  Fedora *: NFStest-$version

Comment 5 Steve Dickson 2017-03-01 22:20:50 UTC
(In reply to Yin.JianHong from comment #4)
> why use different package name between Fedora and RHEL-?
>   RHEL-X.y: nfstest-$version
>   Fedora *: NFStest-$version

Well... :-) The upstream name is NFStest but when I moved the 
package into RHEL, they didn't like the uppercasing so they
changed it. I really didn't have any choice in the matter.

Comment 6 JianHong Yin 2017-03-02 01:18:05 UTC
(In reply to Steve Dickson from comment #5)
> (In reply to Yin.JianHong from comment #4)
> > why use different package name between Fedora and RHEL-?
> >   RHEL-X.y: nfstest-$version
> >   Fedora *: NFStest-$version
> 
> Well... :-) The upstream name is NFStest but when I moved the 
> package into RHEL, they didn't like the uppercasing so they
> changed it. I really didn't have any choice in the matter.

Ah  got it :)

 yes some people they like 'snake case' hate 'Camel case'
  or like 'TUI' and hate 'GUI' or etc.
 I know it's personal preference
 But I think: at least they should respect upstream author and try to be consistent between Fedora and RHEL-...

Comment 7 Fedora Update System 2017-04-22 18:32:10 UTC
NFStest-2.1.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5be3ad04be

Comment 8 Fedora Update System 2017-04-22 18:32:22 UTC
NFStest-2.1.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3477868669

Comment 9 Fedora Update System 2017-04-25 03:52:54 UTC
NFStest-2.1.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5be3ad04be

Comment 10 Fedora Update System 2017-04-25 21:27:10 UTC
NFStest-2.1.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3477868669

Comment 11 Fedora Update System 2017-05-02 23:14:33 UTC
NFStest-2.1.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.